cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

mo2402
Journeyman III

Linux Mint 20.3 Kernel 5.13 amdgpu-install failes

Hello everybody,

i'm using Linux Mint 20.3 (Ubuntu 20.04) with Kernel 5.13.0-27. I wanted to update my amdgpu driver for the best performance on my Lenovo P14s (AMD Ryzen 7 PRO 4750U). If I start the installation of driver with version 21.40.2 I get the following error:

 

amdgpu-dkms (1:5.11.32.40502-1350682) wird eingerichtet ...
Removing old amdgpu-5.11.32-1350682 DKMS files...

------------------------------
Deleting module version: 5.11.32-1350682
completely from the DKMS tree.
------------------------------
Done.
Loading new amdgpu-5.11.32-1350682 DKMS files...
Building for 5.13.0-27-generic
Building for architecture amd64
Building initial module for 5.13.0-27-generic
Error! Bad return status for module build on kernel: 5.13.0-27-generic (amd64)
Consult /var/lib/dkms/amdgpu/5.11.32-1350682/build/make.log for more information.
dpkg: Fehler beim Bearbeiten des Paketes amdgpu-dkms (--configure):
 »installiertes amdgpu-dkms-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 10 zurück
Fehler traten auf beim Bearbeiten von:
 amdgpu-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Does anyone have an idea what I can do here? Is kernel 5.13 not supported? I've read on reddit with ryzen you shoult use the newest kernels.
I had last installed the driver version, which was delivered in the large tar.gz package.

Best regards, Moritz

 
0 Likes
5 Replies
mo2402
Journeyman III

Re: Linux Mint 20.3 Kernel 5.13 amdgpu-install failes

Hey,

now the driver is working, i've downgraded to kernel 5.11.x. Is it known whether AMD will soon also support kernel 5.13?

Best regards, Moritz

Wedge009
Adept II

Re: Linux kernel 5.13 amdgpu-dkms fails

Thank you for this report. I confirm that amdgpu-dkms from amdgpu-pro 21.40.2 fails to install against Ubuntu kernel 5.13.0-27 and 5.13.0-28. I also reverted to Ubuntu kernel 5.11.0-46 to get a working installation.

However, it appears amdgpu-pro 21.40.1 worked just fine against Ubuntu kernel 5.13.0-27. So not really sure if it's another case of amdgpu-pro having difficulties with the Ubuntu kernel idiosyncrasies or if there was a regression in amdgpu-pro with 21.40.2.

Hopefully any driver release for Ubuntu 22.04 LTS will work out these kernel issues.

0 Likes
Wedge009
Adept II

Re: Linux kernel 5.13 amdgpu-dkms fails

I know it's been released for nearly a week now, but I've only had time to try it today: with amdgpu-pro 21.50 it appears the main difference (from the release notes) is to add support for Ubuntu 20.04.4 as we were discussing here. I have both 'legacy' and ROCr-based OpenCL running on the current (as of writing) Ubuntu HWE kernel 5.13.0-30 with this release of amdgpu-pro.

It looks like not everyone is having success with the new release, however.

0 Likes
krutzy62
Journeyman III

Re: Linux kernel 5.13 amdgpu-dkms fails

I think I am trying to do the same thing but not really experienced with this.  I am trying to install the driver for the Radeon 3000 or generic with linux mint 20.3 una

I downloaded amdgpu-install_21.50.50000-1_all.deb and ran it.  Everything was going well It gets "stuck" at building initial module and seemed to end in an error.

You all are talking about going back to to older versions.  Do I delete the deb package and download a different one?  Where would I get the older ones?

Thank you.

KU

0 Likes
Wedge009
Adept II

Re: Linux kernel 5.13 amdgpu-dkms fails

You probably need to provide more information and possibly start in a new thread altogether.

Firstly, I don't think you really need to install amdgpu-pro unless you have a specific need (in my case, I want the OpenCL drivers it provides). If you're just using normal graphical output (eg games) then the open-source drivers that are usually included in the distribution should be sufficient.

Secondly, the only reference to Radeon 3000 I could find is an integrated GPU from 2009 - that's really old and I doubt it would be supported by amdgpu-pro.

Thirdly, when you say you 'ran it', do you mean the error was during the amdgpu-install phase or just with installing the deb package? As far as I know, the latter just seems to add repository entries to the package manager and add amdgpu-install to the system.

Lastly, what error messages do you get?

0 Likes